import unittest
from django.test.client import Client

class AddTest(unittest.TestCase):
    def setUp(self):
        #Set up the client
        self.client = Client()

    def test_addlocation(self):
        # Issue a post.
        response = self.client.post('/location/add/new/', \
            {'description': 'JohnLaan', 'Longitude': '34.55', \
            'Latitude' : '44.55', 'proceed': 'OK, proceed'})

        # Check if response add location is 200.
        self.failUnlessEqual(response.status_code, 200)

    def test_addnode(self):
        # Issue a post.
        response = self.client.post('/node/add/new/', \
            {'name' : 'Tabitha', 'location' : 1, \
            'status' : 'up', 'network' : 1, 'proceed': 'OK, proceed'})

        # Check if response add location is 200.
        self.failUnlessEqual(response.status_code,200)
            

def suite():
    return unittest.makeSuite(AddTest)
